import React, {useEffect, useState} from 'react';
import {WingBlank, List, InputItem, TextareaItem, WhiteSpace} from 'antd-mobile'
import Document from 'react-document-title'
import '../index.less'
import axiosRequest from "../../../utils/request";

const Send = (props) => {
    const [data, setData] = useState({})
    useEffect(() => {
        const {uuid} = props.match.params;
        axiosRequest({
            method: 'post',
            url: '/idtAppServiceV6/jspmail/mailGetMail',
            body: {uuid},
        }).then(res => {
            setData(res)
        });
    }, [])

    return (
        <Document title="内部邮局">
            <WingBlank>
                <WhiteSpace/>
                <List className="date-info">
                    <InputItem diasbled={true} value={data.mailInfo && data.mailInfo.TITLE}>主题</InputItem>
                    <InputItem diasbled={true} value={data.mailInfo && JSON.parse(data.mailInfo.RECIPIENT).fzxs_mail_sender_groups}>收件人</InputItem>
                    <TextareaItem
                        disabled={true}
                        title="内容"
                        value={data.clob}
                        rows={4}
                    />
                </List>
            </WingBlank>
        </Document>
    );
};

export default Send;
